<?php

class InitAPI
{
  public function __construct()
  {
  }

  public static function handleInitTasks($task, $request)
  {
    //check if a site config already exists. if it does, deny set up request
    //restore to previous version of site while a config exists is only accessible
    //through settings.

    if (Setup::status()) {
      $result = ["type" => "blogInitFail", "message" => "Site already set up"];
    } else {
      switch ($task) {
        case "init":
          $result = Setup::init($request);
          break;
        case "restore":
          $result = Setup::restore($request);
          break;
      }
    }

    return $result;
  }
}
